Home > Cannot Load > Cannot Load /usr/libexec/apache2/mod_wsgi.so

Cannot Load /usr/libexec/apache2/mod_wsgi.so

current community blog chat Server Fault Meta Server Fault your communities Sign up or log in to customize your list. What actual commands did you use to compile/install mod_wsgi? –Graham Dumpleton May 5 '15 at 23:53 I am using the Apple system python version. bunch of presumably benign = vs == warnings]7 warnings generated./usr/share/apr-1/build-1/libtool --silent --mode=link /Applications/Xcode.app/Contents/Developer/Toolchains/OSX10.8.xctoolchain/usr/bin/cc -o mod_wsgi.la -rpath /usr/libexec/apache2 -module -avoid-version mod_wsgi.lo -Wl,-F/usr/local/Cellar/python/2.7.3/Frameworks -framework Python -u _PyMac_Error -arch x86_64 -ldl -framework CoreFoundationwarning: Did a thief think he could conceal his identity from security cameras by putting lemon juice on his face? have a peek at this web-site

We recommend upgrading to the latest Safari, Google Chrome, or Firefox. asked 1 year ago viewed 1123 times active 1 year ago Upcoming Events 2016 Community Moderator Election ends Nov 22 Linked 228 How do I determine if my python shell is http://osiris.laya.com/coding/dylib_linking.html http://thecourtsofchaos.com/2013/09/16/how-to-copy-and-relink-binaries-on-osx/ Let us know if you work out a command to fix the library reference in mod_wsgi.so using install_name_tool. I don't know the exact command you would need to use, plus on a holiday right now so no time to experiment, but you might find the following helpful.

Did you start with fresh mod_wsgi source code which had never been compiled in before? On 1941 Dec 7, could Japan have destroyed the Panama Canal instead of Pearl Harbor in a surprise attack? davies-barnard commented Oct 6, 2015 Well hopes it a good trip - they can be the worst! I downloaded and attempted to install mod_wsgi-4.4.11 according to the quick instructions from code.google.com/p/modwsgi/wiki/QuickInstallationGuide.

Take the path that outputs and modify Apache configuration so it has a LoadModule line for wsgi_module with that path." However, "apachectl configtest" still reported the following syntax error: httpd: Syntax You signed out in another tab or window. Browse other questions tagged apache-2.2 python mod-wsgi or ask your own question. qpoisson commented Jul 8, 2016 Alos tried "sudo make install LIBEXECDIR=/opt/mod_wsgi", similar error: httpd: Syntax error on line 68 of /private/etc/apache2/httpd.conf: Cannot load /opt/mod_wsgi/mod_wsgi.so into server: dlopen(/opt/mod_wsgi/mod_wsgi.so, 10): Library not loaded:

At a guess, I'd say it has something to do with shared python libraries .Can I recommend using the homebrew package manager instead? My AccountSearchMapsYouTubePlayNewsGmailDriveCalendarGoogle+TranslatePhotosMoreShoppingWalletFinanceDocsBooksBloggerContactsHangoutsEven more from GoogleSign inHidden fieldsSearch for groups or messages OSDir.com modwsgi Subject: [modwsgi] modwsgi install issue: Apache2.2, win7,python 2.7, (eventually) Django 1.4 Date Index Thread: Next Thread This will not touch your system Apache. http://stackoverflow.com/questions/30060862/cannot-load-mod-wsgi-into-server gwg$ file /usr/libexec/apache2/mod_wsgi.so /usr/libexec/apache2/mod_wsgi.so: Mach-O 64-bit bundle x86_64 2.

Odd. soupcon commented Oct 24, 2016 Here is a solution to qpoisson's problem of the "unsafe use of relative rpath" error in loading libpython*.dylib. The commands/actions I took were as follows: 1) Upgraded pip to 6.1.1 2) pip install mod_wsgi (installed successfully) 3) ran mod_wsgi-express start-server 4) Received error: ValueError: unknown locale: UTF-8 When I mod_wsgi owner GrahamDumpleton commented Oct 6, 2015 Reinstalling command line tools and re accept T&C will be required on OS upgrades.

That your Python is installed for all users and not just user you installed it as. https://github.com/Homebrew/homebrew-apache/issues/61 I'm not sure exactly how to do this, but I just checked the file's permissions against other .so files. davies-barnard commented Oct 6, 2015 I did not know that but that makes sense. nochecking for apxs... /usr/sbin/apxschecking Apache version... 2.2.22checking for python... /usr/local/bin/pythonconfigure: creating ./config.statusconfig.status: creating Makefile$ make/usr/sbin/apxs -c -I/usr/local/Cellar/python/2.7.3/Frameworks/Python.framework/Versions/2.7/include/python2.7 -DNDEBUG -Wc,'-arch x86_64' mod_wsgi.c -Wl,-F/usr/local/Cellar/python/2.7.3/Frameworks -framework Python -u _PyMac_Error -arch x86_64 -ldl -framework

So I stopped apache, did sudo distclean and then re-ran ./configure and make (not sudo) before sudo make install but same error. Check This Out A guy scammed me, but he gave me a bank account number & routing number. How do I handle this? To post to this group, send email to [email protected] To unsubscribe from this group, send email to [email protected] For more options, visit this group at http://groups.google.com/group/modwsgi?hl=en.

It's fairly straight forward installing brew, but installing mod_wsgi isn't anymore. Can I use that to take out what he owes me? That is, I could start Apache by changing the relevant line in my httpd.conf file to: LoadModule wsgi_module /opt/src/mod_wsgi-4.4.13/src/server/.libs/mod_wsgi.so The Wikipedia article to which Graham linked also suggests there's a boot http://scriptkeeper.net/cannot-load/cannot-load-usr-libexec-apache2-mod-dav-svn-so.html Baden Württemberg Ticket usage Select 2D data in a certain range On 1941 Dec 7, could Japan have destroyed the Panama Canal instead of Pearl Harbor in a surprise attack?

Cheers Chris [email protected]:mod_wsgi-develop [0]$ sudo ./configure checking for apxs2... Browse other questions tagged python apache mod-wsgi or ask your own question. what should I do?

I fixed the MySQL problem by following http://stackoverflow.com/questions/31343299/mysql-improperly-configured-reason-unsafe-use-of-relative-path.

I'm not sure how to do this. 4. Browse other questions tagged python apache mod-wsgi httpd.conf or ask your own question. Because you have built in the source code already as root, you should so 'sudo make distclean' to get it back to starting point. Homebrew is great though.

Have tried to pip it now and get this: [email protected]:~ [0]$ sudo mod_wsgi-express install-module Traceback (most recent call last): File "/usr/local/bin/mod_wsgi-express", line 9, in load_entry_point('mod-wsgi==4.4.15', 'console_scripts', 'mod_wsgi-express')() File "/Library/Python/2.7/site-packages/mod_wsgi/server/init.py", line 3117, davies-barnard commented Oct 6, 2015 I should add that the SO file is no longer there, which is what alerted me to the problem. How to decide between PCA and logistic regression? have a peek here Why are LEDs in my home unaffected by voltage drop?

It does have the --with-brewed-python option fwiw. AKFourSeven commented Jan 21, 2015 httpd.conf was LoadModule alias_module libexec/mod_alias.so LoadModule rewrite_module libexec/mod_rewrite.so LoadModule php5_module /usr/local/opt/php56/libexec/apache2/libphp5.so LoadModule wsgi_module /usr/local/Cellar/mod_wsgi/3.5/libexec/mod_wsgi.so and the command I use to install mod_wsgi was brew install mod_wsgi Not the answer you're looking for? You signed in with another tab or window.

Since the configuration guide was a bit confusing I used the google group (https://groups.google.com/forum/#!forum/modwsgi) which helped to answer my questions during this process. AKFourSeven commented Jan 22, 2015 Well it was correct I did a --with-brewed-httpd24and --with--brewed-python, I have another issue which is not related to the brew install anymore, thanks for all your Terms Privacy Security Status Help You can't perform that action at this time. Can I hide disabled users in the User Manager?